# DataExchange
TKXSBase
IFGraph

# IFGraph_StrongComponants Class Reference

determines strong componants of a graph, that is
isolated entities (single componants) or loops

`#include <IFGraph_StrongComponants.hxx>`

Inheritance diagram for IFGraph_StrongComponants:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_StrongComponants (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later
virtual Standard_EXPORT void | Evaluate ()
| does the computation

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_StrongComponants::IFGraph_StrongComponants | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_StrongComponants::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from IFGraph_SubPartsIterator. Reimplemented in IFGraph_SCRoots.

void IFGraph_StrongComponants::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator. Reimplemented in IFGraph_SCRoots.

void* IFGraph_StrongComponants::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator. Reimplemented in IFGraph_SCRoots.

void* IFGraph_StrongComponants::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator. Reimplemented in IFGraph_SCRoots.

The documentation for this class was generated from the following file:

- IFGraph_StrongComponants.hxx